<?php

function video_custom_post() {
	$labels = array(
		'name'               => _x( 'الفيديو', 'post type general name' ),
		'singular_name'      => _x( 'الفيديو', 'post type singular name' ),
		'add_new'            => _x( 'أضف جديد', 'video' ),
		'add_new_item'       => __( 'أضف فيديو جديد' ),
		'edit_item'          => __( 'تعديل فيديو' ),
		'new_item'           => __( 'فيديو جديد' ),
		'all_items'          => __( 'كل الفيديو' ),
		'view_item'          => __( 'عرض الفيديو' ),
		'search_items'       => __( 'البحث في الفيديو' ),
		'not_found'          => __( 'لا يوجد فيديو' ),
		'not_found_in_trash' => __( 'لا يوجد فيديو في سلة المهملات' ),
		'parent_item_colon'  => '',
		'menu_name'          => 'الفيديو'
	);
	$args = array(
		'labels'        => $labels,
		'description'   => '',
		'public'        => true,
		'menu_position' => 5,
		'supports'      => array( 'title', 'thumbnail' ),
		'has_archive'   => true,
		'exclude_from_search'   => true,
		'show_in_menu'   => true,
		'show_in_nav_menus'   => false,
	);
	register_post_type( 'video', $args );
}
add_action( 'init', 'video_custom_post' );

function video_updated_messages( $messages ) {
	global $post, $post_ID;
	$messages['video'] = array(
		0 => '',
		1 => sprintf( __('تم التحديث. <a href="%s">عرض الفيديو</a>'), esc_url( get_permalink($post_ID) ) ),
		2 => __('تم تحديث العنصر.'),
		3 => __('تم حذف العنصر.'),
		4 => __('تم تحديث الفيديو.'),
		5 => isset($_GET['revision']) ? sprintf( __('تم استعادة الفيديو، من %s'), wp_post_revision_title( (int) $_GET['revision'], false ) ) : false,
		6 => sprintf( __('تم النشر. <a href="%s">عرض الفيديو</a>'), esc_url( get_permalink($post_ID) ) ),
		7 => __('تم حفظ الفيديو.'),
		8 => sprintf( __('تم ارسال الفيديو. <a target="_blank" href="%s">عرض الفيديو</a>'), esc_url( add_query_arg( 'preview', 'true', get_permalink($post_ID) ) ) ),
		9 => sprintf( __('تم تأريخ الفيديو للنشر: <strong>%1$s</strong>. <a target="_blank" href="%2$s">عرض الفيديو</a>'), date_i18n( __( 'M j, Y @ G:i' ), strtotime( $post->post_date ) ), esc_url( get_permalink($post_ID) ) ),
		10 => sprintf( __('تم تحديث الفيديو كمسوده. <a target="_blank" href="%s">عرض الفيديو</a>'), esc_url( add_query_arg( 'preview', 'true', get_permalink($post_ID) ) ) ),
	);
	return $messages;
}
add_filter( 'video_post_updated_messages', 'video_updated_messages' );

/*-----------------------------------------------------------------------------------*/
/*	Define Metabox Fields
/*-----------------------------------------------------------------------------------*/

$meta_box_video_info = array(
	'id' => 'mt-meta-box-portfolio-info',
	'title' => 'خيارات اضافية',
	'page' => 'video',
	'context' => 'normal',
	'priority' => 'high',
	'fields' => array(
	array(
			'name' =>  'رابط الفيديو',
			'desc' => 'أدخل رابط الفيديو على موقع يوتيوب، يراعى ان يكون الرابط كاملا بدايه من HTTP://',
			'id' => 'video_link',
			'type' => 'text',
			'std' => ''
		),
	),

);

/*-----------------------------------------------------------------------------------*/
/*	Add metabox to edit page
/*-----------------------------------------------------------------------------------*/

function video_add_meta_box() {
	global $meta_box_video_info;
	add_meta_box($meta_box_video_info['id'], $meta_box_video_info['title'], 'video_show_meta_box', $meta_box_video_info['page'], $meta_box_video_info['context'], $meta_box_video_info['priority']);
}
add_action('admin_menu', 'video_add_meta_box');

/*-----------------------------------------------------------------------------------*/
/*	Callback function to show fields in meta box
/*-----------------------------------------------------------------------------------*/

// Standard Portfolio Info Fields

function video_show_meta_box() {
	global $meta_box_video_info, $post;

	echo '<input type="hidden" name="mt_meta_box_nonce" value="', wp_create_nonce(basename(__FILE__)), '" />';

	echo '<table class="form-table">';

	foreach ($meta_box_video_info['fields'] as $field) {
		// get current post meta data
		$meta = get_post_meta($post->ID, $field['id'], true);
		switch ($field['type']) {


			//If Text
			case 'text':

			echo '<tr style="border-top:1px solid #eeeeee;">',
				'<th style="width:25%"><label for="', $field['id'], '"><strong>', $field['name'], '</strong><span style="line-height:20px; display:block; color:#999; margin:5px 0 0 0;">'. $field['desc'].'</span></label></th>',
				'<td>';
			echo '<input type="text" name="', $field['id'], '" id="', $field['id'], '" value="', $meta ? $meta : $field['std'],'" size="30" style="width:75%; margin-right: 20px; float:left;" />';

			break;

			//If textarea
			case 'textarea':

			echo '<tr>',
				'<th style="width:25%"><label for="', $field['id'], '"><strong>', $field['name'], '</strong><span style="line-height:18px; display:block; color:#999; margin:5px 0 0 0;">'. $field['desc'].'</span></label></th>',
				'<td>';
			echo '<textarea name="', $field['id'], '" id="', $field['id'], '" value="', $meta ? $meta : $field['std'], '" rows="8" cols="5" style="width:100%; margin-right: 20px; float:left;">', $meta ? $meta : $field['std'], '</textarea>';

			break;

		}

	}

	echo '</table>';
}

/*-----------------------------------------------------------------------------------*/
/*	Save data when post is edited
/*-----------------------------------------------------------------------------------*/

function video_save_meta_box($post_id) {
	global $meta_box_video_info, $meta_box, $meta_box_portfolio_video;

	// verify nonce
	if (!wp_verify_nonce($_POST['mt_meta_box_nonce'], basename(__FILE__))) {
		return $post_id;
	}

	// check autosave
	if (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE) {
		return $post_id;
	}

	// check permissions
	if ('page' == $_POST['post_type']) {
		if (!current_user_can('edit_page', $post_id)) {
			return $post_id;
		}
	} elseif (!current_user_can('edit_post', $post_id)) {
		return $post_id;
	}

	foreach ($meta_box_video_info['fields'] as $field) {
		$old = get_post_meta($post_id, $field['id'], true);
		$new = $_POST[$field['id']];

		if ($new && $new != $old) {
			update_post_meta($post_id, $field['id'], stripslashes(htmlspecialchars($new)));
		} elseif ('' == $new && $old) {
			delete_post_meta($post_id, $field['id'], $old);
		}
	}

}
add_action('save_post', 'video_save_meta_box');

?>
